MPE_Describe_event(4)

NAME
MPE_Describe_event - Describe the attributes of an event without byte informational data in MPI_COMM_WORLD.

SYNOPSIS
int MPE_Describe_event( int eventID,
                        const char *name, const char *color )

INPUT PARAMETERS
eventID
    - event number for the event.
name
    - name of the event, the maximum length of the NULL-terminated string is, sizeof(CLOG_DESC), 32.
color
    - color of the event, the maximum length of the NULL-terminated string is, sizeof(CLOG_COLOR), 24.

NOTES
Adds a event definition to the logfile. The function is provided for backward compatibility purpose. Users are urged to use 'MPE_Describe_comm_event' instead. This function is threadsafe.

SEE ALSO
MPE_Log_get_solo_eventID(), MPE_Describe_comm_event()

LOCATION